from sqlalchemy import *
from dictionaries.versions import views_helper

table_name = 'excisemarkwhite'

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)

    for tbl in views_helper.getTables(meta, table_name):
        tbl.c.excisemarkid.alter(type=String(255))

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)

    for tbl in views_helper.getTables(meta, table_name):
        tbl.c.excisemarkid.alter(type=String(100))
