# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
import migrate.changeset

def getDocType(meta):
    return Table('documenttype', meta, autoload=True)

def getGoodsItemType(meta):
    return Table('goodsitemtype', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    getDocType(meta).delete(getDocType(meta).c.doctype==20).execute()
    getDocType(meta).insert().values(doctype =  20, moneyfactor =  0, name = 'Режим обучения контрольным весам').execute()
    getGoodsItemType(meta).delete(getGoodsItemType(meta).c.doctype==20).execute()
    getGoodsItemType(meta).insert().values(doctype =  20, factor =  0, name = 'Режим обучения контрольным весам', reverseoperation = 0).execute()

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    getDocType(meta).delete(getDocType(meta).c.doctype==20).execute()
    getGoodsItemType(meta).delete(getGoodsItemType(meta).c.doctype==20).execute()
